local Ingredient = GLOBAL.Ingredient
local RecipeTabs = GLOBAL.RECIPETABS
local Tech = GLOBAL.TECH

GLOBAL.STRINGS.RECIPE_DESC.REDGEM = "散发着红色光芒的宝石，拥有火焰的力量"
GLOBAL.STRINGS.RECIPE_DESC.BLUEGEM = "散发着蓝色光芒的宝石，拥有寒冷的力量"
GLOBAL.STRINGS.RECIPE_DESC.GREENGEM = "散发着绿色光芒的宝石，十分珍贵"
GLOBAL.STRINGS.RECIPE_DESC.ORANGEGEM = "散发着橘色光芒的宝石，十分珍贵"
GLOBAL.STRINGS.RECIPE_DESC.YELLOWGEM = "散发着黄色光芒的宝石，十分珍贵"
GLOBAL.STRINGS.RECIPE_DESC.OPALPRECIOUSGEM = "散发着七彩光芒的宝石，不过似乎没什么用~"




AddRecipe("redgem", { Ingredient("goldnugget", 10) }, RecipeTabs.REFINE, Tech.MAGIC_TWO)
AddRecipe("bluegem", { Ingredient("goldnugget", 10) }, RecipeTabs.REFINE, Tech.MAGIC_TWO)
AddRecipe("greengem", { Ingredient("redgem", 2), Ingredient("bluegem", 2) }, RecipeTabs.REFINE, Tech.MAGIC_TWO)
AddRecipe("orangegem", { Ingredient("redgem", 3), Ingredient("bluegem", 3) }, RecipeTabs.REFINE, Tech.MAGIC_TWO)
AddRecipe("yellowgem", { Ingredient("redgem", 4), Ingredient("bluegem", 4) }, RecipeTabs.REFINE, Tech.MAGIC_TWO)
